package com.utopiaindustries.service;

import com.utopiaindustries.dao.uind.PurchaseOrderDAO;
import com.utopiaindustries.model.uind.PurchaseOrder;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PurchaseOrderService {

    private final PurchaseOrderDAO purchaseOrderDAO;

    public PurchaseOrderService(PurchaseOrderDAO purchaseOrderDAO) {
        this.purchaseOrderDAO = purchaseOrderDAO;
    }

    public List<PurchaseOrder> findByTerm( String term ){
        return purchaseOrderDAO.findByTerm( term );
    }
}
